%global srcname checkupdate
%define debug_package %{nil}

Name:           hyprland-keyboard-changer
Version:        0.0.5
Release:        1%{?dist}
Summary:        Monitors and change the keyboard layout on Hyprland
Url:            https://pagure.io/%{srcname}
# Sources can be obtained by
# git clone https://pagure.io/checkupdate
# cd checkupdate
# tito build --tgz
License:        GPLv3


BuildRequires: systemd-rpm-macros

BuildArch:      noarch
Requires:	python3

Source0:        %{name}-%{version}.tar.gz

%description
Monitors and change the keyboard layout on Hyprlan

%prep
%autosetup

%build

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 hyprland-change-keyboard-layout %{buildroot}%{_bindir}
install -m 755 hyprland-get-keyboard-layout %{buildroot}%{_bindir}

%files
%{_bindir}/hyprland-change-keyboard-layout
%{_bindir}/hyprland-get-keyboard-layout

%post

%changelog
* Tue Jul 09 2024 Junior <cjuniorfox@gmail.com> 0.0.5-1
- chore: added fallback for reading the socket (cjuniorfox@gmail.com)

* Tue Jul 09 2024 Junior <cjuniorfox@gmail.com> 0.0.4-1
- chore: added new README/md for the project (cjuniorfox@gmail.com)
- chore: better redability (cjuniorfox@gmail.com)
- chore: better readable (cjuniorfox@gmail.com)

* Sun May 26 2024 Junior_FOX <cjuniorfox@gmail.com> 0.0.3-1
- fix socks lookup (cjuniorfox@gmail.com)

* Wed Nov 29 2023 Junior_FOX <cjuniorfox@gmail.com> 0.0.2-1
- Added the dvorak intl to the shorten names (cjuniorfox@gmail.com)

* Wed Sep 06 2023 Junior_FOX <cjuniorfox@gmail.com> 0.0.1-1
- new package built with tito

